#!/bin/sh

if [ $# -eq 0 ] ; then
    echo "No arguments passed to the script. Try './set_log_level.sh -h' to get more information." >&2
    exit 1
fi

if [ $# -gt 1 ] ; then
    echo "This script doesn't allow more than one parameter." >&2
    exit 1
fi

while getopts ":h" opt; do
  case $opt in
  h)
    echo "Log levels:"
    echo "0 (emergencies)"
    echo "1 (alerts)"
    echo "2 (critical)"
    echo "3 (errors)"
    echo "4 (warnings)"
    echo "5 (notices)"
    echo "6 (information)"
    echo "7 (debug)"
    echo "Example: './set_log_level.sh 7' sets log level to debug"
    exit 0
    ;;
 \?)
    echo "Invalid option: -$OPTARG" >&2
    exit 1
    ;;
  esac
done

echo "SETLOGLEVEL $1" > /var/tmp/logging_pipe
cat /var/tmp/logging_pipe